Page MenuHomePhabricator

Check performance after increasing upload limit
Closed, ResolvedPublic

Description

In the parent ticket some commenters reported performance issues when uploading hundreds of files at once.

Test if this is still a problem, and if so document its scope

Event Timeline

Cparle created this task.Sep 11 2017, 4:40 PM
MarkTraceur moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.

I just uploaded 490 (small) files locally, and while it was a pain to wait for the file interfaces to load in the details step (because I loaded them all at once), I don't think that's a *huge* issue. For the record it probably took 30-60 minutes to complete the entire process with 490 files and the "copy details" pipeline. I imagine in the case of someone uploading a bunch of files for which they must enter descriptions for each one, it will be a little less painful to wait (because there will be active work to do in the meantime), and the performance problems won't be so troublesome.

MarkTraceur moved this task from Doing to Code Review on the Multimedia-Team-Working-Board board.
MarkTraceur added a subscriber: Ramsey-WMF.

@Ramsey-WMF assigning to you so you can tell me if that's an acceptable assessment of the situation

@Ramsey-WMF assigning to you so you can tell me if that's an acceptable assessment of the situation

I think it is acceptable. We may be addressing the process of the details step for batch uploads again for SDoC next year anyway, so I think this is fine for an intermediate state.

MarkTraceur closed this task as Resolved.Sep 25 2017, 7:30 PM

OK, closing this then, since we seem fine with the state of performance right now.

Cparle removed a subscriber: Cparle.Oct 11 2017, 1:14 PM